Bug 1122617 - reinstall of local rpms gives traceback
reinstall of local rpms gives traceback
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-23 11:48 EDT by Parag Nemade
Modified: 2015-10-13 02:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.6.2 dnf-0.6.4-7.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 02:53:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2014-07-23 11:48:37 EDT
Description of problem:
I don't know if a local package already installed, tried to install again should give traceback. I think this case should be considered valid.

Example:- I built some rpms locally and installed them. Now I added/build few more rpms and got lazy and used wildcard '*' to install all packages, it should say installed packages as already installed and skip to non-installed packages.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 83, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 140, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 165, in resolving
    return_code, resultmsgs = base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 233, in do_transaction
    return_code, resultmsgs = super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 609, in do_transaction
    self.errorSummary(errstring))
Error: Transaction check error:


Version-Release number of selected component (if applicable):
dnf-0.5.4-1.fc20.noarch
python3-dnf-0.5.4-1.fc20.noarch
dnf-langpacks-0.3.0-1.fc20.noarch
dnf-plugins-core-0.1.1-2.fc21.noarch


How reproducible:
always
Comment 1 Parag Nemade 2014-07-23 11:49:55 EDT
Forgot to mention I am actually using command like
$ sudo dnf install ../RPMS/noarch/nodejs-* -y
Comment 2 Ales Kozumplik 2014-07-24 01:05:53 EDT
Thanks Parag, we'll take a look.
Comment 3 Ales Kozumplik 2014-09-02 02:47:10 EDT
Looks similar to one of the late reinstall bugs.
Comment 4 Honza Silhan 2014-09-05 07:02:22 EDT
Fixed in the upstream.
Comment 5 Fedora Update System 2014-10-05 13:42:06 EDT
dnf-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.2-1.fc21
Comment 6 Fedora Update System 2014-10-06 01:03:44 EDT
Package dnf-0.6.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12254/dnf-0.6.2-1.fc21
then log in and leave karma (feedback).
Comment 7 Jaroslav Reznik 2015-03-03 12:18:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 8 Honza Silhan 2015-07-20 07:07:17 EDT
wasn't properly closed by Fedora Update System.
Comment 9 Fedora Update System 2015-08-28 14:53:53 EDT
dnf-0.6.4-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14323
Comment 10 Fedora Update System 2015-09-29 07:19:42 EDT
dnf-0.6.4-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b
Comment 11 Fedora Update System 2015-10-02 14:52:29 EDT
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b
Comment 12 Fedora Update System 2015-10-13 02:52:26 EDT
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.